Package org.apache.axiom.blob

## Class MemoryBlobOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.axiom.blob.MemoryBlobOutputStream

- All Implemented Interfaces:
    `Closeable`, `Flushable`, `AutoCloseable`, `ReadFromSupport`

      public abstract class MemoryBlobOutputStream
      extends OutputStream
      implements ReadFromSupport

  Output stream that doesn't throw `IOException` and that implements `ReadFromSupport`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MemoryBlobOutputStream()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `close()` |
    `void` | `flush()` |
    `abstract void` | `write​(byte[] b)` |
    `abstract void` | `write​(byte[] b, int off, int len)` |
    `abstract void` | `write​(int b)` |

    - ### Methods inherited from class java.io.OutputStream

      `nullOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.axiom.ext.io.ReadFromSupport

      `readFrom`

- - ### Constructor Detail

    - #### MemoryBlobOutputStream

          public MemoryBlobOutputStream()

  - ### Method Detail

    - #### write

          public abstract void write​(int b)

      Specified by:
        `write` in class `OutputStream`

    - #### write

          public abstract void write​(byte[] b)

      Overrides:
        `write` in class `OutputStream`

    - #### write

          public abstract void write​(byte[] b,
                                     int off,
                                     int len)

      Overrides:
        `write` in class `OutputStream`

    - #### flush

          public final void flush()

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `OutputStream`

    - #### close

          public abstract void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Overrides:
        `close` in class `OutputStream`